@dbg-riskit/common 18.1.0 → 20.0.1
This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
- package/fesm2022/dbg-riskit-common.mjs +4 -1
- package/fesm2022/dbg-riskit-common.mjs.map +1 -1
- package/index.d.ts +308 -5
- package/package.json +3 -6
- package/esm2022/dbg-riskit-common.mjs +0 -5
- package/esm2022/lib/auth.types.mjs +0 -7
- package/esm2022/lib/base64.mjs +0 -114
- package/esm2022/lib/common.functions.mjs +0 -43
- package/esm2022/lib/common.types.mjs +0 -24
- package/esm2022/lib/date.utils.mjs +0 -46
- package/esm2022/lib/error.types.mjs +0 -19
- package/esm2022/lib/file.types.mjs +0 -10
- package/esm2022/lib/global.mjs +0 -9
- package/esm2022/lib/indexeddb/indexed.db.array.subject.mjs +0 -30
- package/esm2022/lib/indexeddb/indexed.db.store.mjs +0 -118
- package/esm2022/lib/indexeddb/indexed.db.subject.mjs +0 -61
- package/esm2022/lib/indexeddb/polyfill.mjs +0 -6
- package/esm2022/lib/indexeddb/request.wrappers.mjs +0 -64
- package/esm2022/lib/indexeddb/subject.subscription.mjs +0 -29
- package/esm2022/lib/logger.mjs +0 -3
- package/esm2022/lib/random.mjs +0 -13
- package/esm2022/lib/replay.subject.ext.mjs +0 -21
- package/esm2022/lib/rxjs.utils.mjs +0 -16
- package/esm2022/lib/storage.mjs +0 -84
- package/esm2022/lib/string.utils.mjs +0 -22
- package/esm2022/lib/uid.utils.mjs +0 -24
- package/esm2022/lib/user.info.mjs +0 -2
- package/esm2022/public_api.mjs +0 -19
- package/lib/auth.types.d.ts +0 -12
- package/lib/base64.d.ts +0 -3
- package/lib/common.functions.d.ts +0 -5
- package/lib/common.types.d.ts +0 -32
- package/lib/date.utils.d.ts +0 -30
- package/lib/error.types.d.ts +0 -16
- package/lib/file.types.d.ts +0 -13
- package/lib/global.d.ts +0 -1
- package/lib/indexeddb/indexed.db.array.subject.d.ts +0 -8
- package/lib/indexeddb/indexed.db.store.d.ts +0 -18
- package/lib/indexeddb/indexed.db.subject.d.ts +0 -11
- package/lib/indexeddb/polyfill.d.ts +0 -1
- package/lib/indexeddb/request.wrappers.d.ts +0 -3
- package/lib/indexeddb/subject.subscription.d.ts +0 -11
- package/lib/logger.d.ts +0 -7
- package/lib/random.d.ts +0 -1
- package/lib/replay.subject.ext.d.ts +0 -10
- package/lib/rxjs.utils.d.ts +0 -3
- package/lib/storage.d.ts +0 -3
- package/lib/string.utils.d.ts +0 -1
- package/lib/uid.utils.d.ts +0 -4
- package/lib/user.info.d.ts +0 -119
- package/public_api.d.ts +0 -19
package/lib/user.info.d.ts
DELETED
|
@@ -1,119 +0,0 @@
|
|
|
1
|
-
export interface UserInfo {
|
|
2
|
-
/**
|
|
3
|
-
* End-User's full name in displayable form including all name parts, possibly including titles and suffixes,
|
|
4
|
-
* ordered according to the End-User's locale and preferences.
|
|
5
|
-
*/
|
|
6
|
-
name?: string;
|
|
7
|
-
/**
|
|
8
|
-
* Given name(s) or first name(s) of the End-User. Note that in some cultures, people can have multiple given names;
|
|
9
|
-
* all can be present, with the names being separated by space characters.
|
|
10
|
-
*/
|
|
11
|
-
given_name?: string;
|
|
12
|
-
/**
|
|
13
|
-
* Surname(s) or last name(s) of the End-User. Note that in some cultures, people can have multiple family names or
|
|
14
|
-
* no family name; all can be present, with the names being separated by space characters.
|
|
15
|
-
*/
|
|
16
|
-
family_name?: string;
|
|
17
|
-
/**
|
|
18
|
-
* Middle name(s) of the End-User. Note that in some cultures, people can have multiple middle names; all can be
|
|
19
|
-
* present, with the names being separated by space characters. Also note that in some cultures, middle names are
|
|
20
|
-
* not used.
|
|
21
|
-
*/
|
|
22
|
-
middle_name?: string;
|
|
23
|
-
/**
|
|
24
|
-
* Casual name of the End-User that may or may not be the same as the given_name. For instance, a nickname value of
|
|
25
|
-
* Mike might be returned alongside a given_name value of Michael.
|
|
26
|
-
*/
|
|
27
|
-
nickname?: string;
|
|
28
|
-
/**
|
|
29
|
-
* Casual name of the End-User that may or may not be the same as the given_name. For instance, a nickname value of
|
|
30
|
-
* Mike might be returned alongside a given_name value of Michael.
|
|
31
|
-
*/
|
|
32
|
-
preferred_username?: string;
|
|
33
|
-
/**
|
|
34
|
-
* End-User's preferred e-mail address. Its value MUST conform to the RFC 5322 [RFC5322] addr-spec syntax. The RP
|
|
35
|
-
* MUST NOT rely upon this value being unique, as discussed in Section 5.7.
|
|
36
|
-
*/
|
|
37
|
-
email?: string;
|
|
38
|
-
/**
|
|
39
|
-
* True if the End-User's e-mail address has been verified; otherwise false. When this Claim Value is true, this
|
|
40
|
-
* means that the OP took affirmative steps to ensure that this e-mail address was controlled by the End-User at
|
|
41
|
-
* the time the verification was performed. The means by which an e-mail address is verified is context-specific,
|
|
42
|
-
* and dependent upon the trust framework or contractual agreements within which the parties are operating.
|
|
43
|
-
*/
|
|
44
|
-
email_verified?: boolean;
|
|
45
|
-
/**
|
|
46
|
-
* End-User's gender. Values defined by this specification are female and male. Other values MAY be used when
|
|
47
|
-
* neither of the defined values are applicable.
|
|
48
|
-
*/
|
|
49
|
-
gender?: string;
|
|
50
|
-
/**
|
|
51
|
-
* End-User's birthday, represented as an ISO 8601:2004 [ISO8601‑2004] YYYY-MM-DD format. The year MAY be 0000,
|
|
52
|
-
* indicating that it is omitted. To represent only the year, YYYY format is allowed. Note that depending on
|
|
53
|
-
* the underlying platform's date related function, providing just year can result in varying month and day, so
|
|
54
|
-
* the implementers need to take this factor into account to correctly process the dates.
|
|
55
|
-
*/
|
|
56
|
-
birthdate?: string;
|
|
57
|
-
/**
|
|
58
|
-
* String from zoneinfo [zoneinfo] time zone database representing the End-User's time zone. For example,
|
|
59
|
-
* Europe/Paris or America/Los_Angeles.
|
|
60
|
-
*/
|
|
61
|
-
zoneinfo?: string;
|
|
62
|
-
/**
|
|
63
|
-
* End-User's locale, represented as a BCP47 [RFC5646] language tag. This is typically an ISO 639-1 Alpha-2
|
|
64
|
-
* [ISO639‑1] language code in lowercase and an ISO 3166-1 Alpha-2 [ISO3166‑1] country code in uppercase,
|
|
65
|
-
* separated by a dash. For example, en-US or fr-CA. As a compatibility note, some implementations have used
|
|
66
|
-
* an underscore as the separator rather than a dash, for example, en_US; Relying Parties MAY choose to accept
|
|
67
|
-
* this locale syntax as well.
|
|
68
|
-
*/
|
|
69
|
-
locale?: string;
|
|
70
|
-
/**
|
|
71
|
-
* End-User's preferred telephone number. E.164 [E.164] is RECOMMENDED as the format of this Claim, for example,
|
|
72
|
-
* +1 (425) 555-1212 or +56 (2) 687 2400. If the phone number contains an extension, it is RECOMMENDED that the
|
|
73
|
-
* extension be represented using the RFC 3966 [RFC3966] extension syntax, for example, +1 (604) 555-1234;ext=5678.
|
|
74
|
-
*/
|
|
75
|
-
phone_number?: string;
|
|
76
|
-
/**
|
|
77
|
-
* True if the End-User's phone number has been verified; otherwise false. When this Claim Value is true,
|
|
78
|
-
* this means that the OP took affirmative steps to ensure that this phone number was controlled by the End-User
|
|
79
|
-
* at the time the verification was performed. The means by which a phone number is verified is context-specific,
|
|
80
|
-
* and dependent upon the trust framework or contractual agreements within which the parties are operating. When
|
|
81
|
-
* true, the phone_number Claim MUST be in E.164 format and any extensions MUST be represented in RFC 3966 format.
|
|
82
|
-
*/
|
|
83
|
-
phone_number_verified?: boolean;
|
|
84
|
-
/**
|
|
85
|
-
* End-User's preferred postal address. The value of the address member is a JSON [RFC4627] structure containing
|
|
86
|
-
* some or all of the members defined in Section 5.1.1.
|
|
87
|
-
*/
|
|
88
|
-
address?: {
|
|
89
|
-
/**
|
|
90
|
-
* Full mailing address, formatted for display or use on a mailing label. This field MAY contain multiple lines,
|
|
91
|
-
* separated by newlines. Newlines can be represented either as a carriage return/line feed pair ("\r\n") or as
|
|
92
|
-
* a single line feed character ("\n").
|
|
93
|
-
*/
|
|
94
|
-
formatted?: string;
|
|
95
|
-
/**
|
|
96
|
-
* Full street address component, which MAY include house number, street name, Post Office Box, and multi-line
|
|
97
|
-
* extended street address information. This field MAY contain multiple lines, separated by newlines. Newlines
|
|
98
|
-
* can be represented either as a carriage return/line feed pair ("\r\n") or as a single line feed character
|
|
99
|
-
* ("\n").
|
|
100
|
-
*/
|
|
101
|
-
street_address?: string;
|
|
102
|
-
/**
|
|
103
|
-
* City or locality component.
|
|
104
|
-
*/
|
|
105
|
-
locality?: string;
|
|
106
|
-
/**
|
|
107
|
-
* State, province, prefecture, or region component.
|
|
108
|
-
*/
|
|
109
|
-
region?: string;
|
|
110
|
-
/**
|
|
111
|
-
* Zip code or postal code component.
|
|
112
|
-
*/
|
|
113
|
-
postal_code?: string;
|
|
114
|
-
/**
|
|
115
|
-
* Country name component.
|
|
116
|
-
*/
|
|
117
|
-
country?: string;
|
|
118
|
-
};
|
|
119
|
-
}
|
package/public_api.d.ts
DELETED
|
@@ -1,19 +0,0 @@
|
|
|
1
|
-
export { globalScope } from './lib/global';
|
|
2
|
-
export { AuthProvider, AuthTokenType } from './lib/auth.types';
|
|
3
|
-
export { extractResult, isEventObject, IsEventObject, ObservableEvent, ObservableEventType, ObservableWithProgress, ProgressEvent, ResultEvent, ValueGetter, Primitives, JSONObject, NonNullPrimitives, Maybe } from './lib/common.types';
|
|
4
|
-
export { ErrorMessage, ErrorType } from './lib/error.types';
|
|
5
|
-
export { CONTENT_TYPE, FileWithContent } from './lib/file.types';
|
|
6
|
-
export { DateUtils } from './lib/date.utils';
|
|
7
|
-
export { IndexedDbStore } from './lib/indexeddb/indexed.db.store';
|
|
8
|
-
export { IndexedDBArrayReplaySubject } from './lib/indexeddb/indexed.db.array.subject';
|
|
9
|
-
export { IndexedDBReplaySubject } from './lib/indexeddb/indexed.db.subject';
|
|
10
|
-
export { ReplaySubjectExt } from './lib/replay.subject.ext';
|
|
11
|
-
export { retry } from './lib/rxjs.utils';
|
|
12
|
-
export { LocalStorage, SessionStorage } from './lib/storage';
|
|
13
|
-
export { UIDUtils } from './lib/uid.utils';
|
|
14
|
-
export { UserInfo } from './lib/user.info';
|
|
15
|
-
export { base64decode, base64encode, string2buffer } from './lib/base64';
|
|
16
|
-
export { secureRandom } from './lib/random';
|
|
17
|
-
export { toString } from './lib/string.utils';
|
|
18
|
-
export { Logger } from './lib/logger';
|
|
19
|
-
export { deepClone, deepEqual } from './lib/common.functions';
|